Subject: [Tools-discuss] Zulip accounts and datatracker

From: "Salz, Rich" <[email-masked]>
Date: Tue, 18 May 2021 18:24:20 +0000

Hi there.  I’m one of those who wants Zulip to succeed.  Like most, however, I’m not up on the technical details.

Tim and Tim (heck, not unambiguous, nor is TimA :) know the technical details. I’ve CC’d both of them, anyway.

I know we’ve had some emails floating around about Zulip account issues and integrating with DataTracker.  I’m just trying to tie all the threads together in the “official place” so that we can bring this to a close and get it working.

Thanks.  Let me know what I can do to help.

---

From: Robert Sparks <[email-masked]>
Date: Tue, 18 May 2021 17:33:26 -0500

On 5/18/21 1:24 PM, Salz, Rich wrote:
>
> Hi there. I’m one of those who wants Zulip to succeed.  Like most, 
> however, I’m not up on the technical details.
>
> I know we’ve had some emails floating around about Zulip account 
> issues and integrating with DataTracker.  I’m just trying to tie all 
> the threads together in the “official place” so that we can bring this 
> to a close and get it working.
>
In the spirit of moving some of those conversations to one place:

Datatracker integration with Zulip might be easier to solve than jabber 
or imap (we have some integration with the latter, but it's more custom 
than we should keep in the long run). It should be easy for the web 
client to use oidc. If the mobile client is using https underneath, it 
would probably be easy for it to use oidc as well. Are there other 
interfaces that need to be considered?

If oidc isn't an option architecturally, then I'd like to explore what 
might be.

In any case, I'd like to determine if we san set the displayed username 
and the email address displayed when you inspect someone in the Users 
list using data from the datatracker?

RjS

> ___________________________________________________________
> Tools-discuss mailing list - [email-masked]
> This list is for discussion, not for action requests or bug reports.
> * Report datatracker and mailarchive bugs to: [email-masked]
> * Report tools.ietf.org bugs to: [email-masked]
> * Report all other bugs or issues to: [email-masked]
> List info (including how to Unsubscribe): https://www.ietf.org/mailman/listinfo/tools-discuss

---

From: Tim Abbott <[email-masked]>
Date: Tue, 18 May 2021 19:45:17 -0700

Adding Mateusz, who works on authentication backends for Zulip.

I expect we can just make this work via OpenID Connect; the Zulip mobile
apps are designed to support the web authentication flow, so if we can make
it work on web, it'll work on mobile too (The terminal app doesn't support
this flow yet, but it will).  If someone can share details/documentation on
what exactly DataTracker implements and how to get a sandbox that can be
developed against, Mateusz can look at what needs to happen to support it
in Zulip.  It might be only a couple days' work if we have a way to test; a
typical new authentication backend for something supported by
python-social-auth is 150 lines of code, of which maybe 30 implement it and
the rest are tests and documentation.

(I imagine that it'd work like our Google auth integration, prepopulating
the name and email address when someone makes an account).

        -Tim Abbott

On Tue, May 18, 2021 at 3:33 PM Robert Sparks <[email-masked]> wrote:

> I know we’ve had some emails floating around about Zulip account issues
> and integrating with DataTracker.  I’m just trying to tie all the threads
> together in the “official place” so that we can bring this to a close and
> get it working.
>
> Datatracker integration with Zulip might be easier to solve than jabber or
> imap (we have some integration with the latter, but it's more custom than
> we should keep in the long run). It should be easy for the web client to
> use oidc. If the mobile client is using https underneath, it would probably
> be easy for it to use oidc as well. Are there other interfaces that need to
> be considered?
>
> and the email address displayed when you inspect someone in the Users list
> using data from the datatracker?
>
> RjS
>

---

From: Robert Sparks <[email-masked]>
Date: Wed, 19 May 2021 07:49:52 -0500

I'll set what's needed up and contact Mateusz and Tim directly with the 
details.

The general answer to the questions can be seen (with a little knowledge 
of oidc) at 
https://datatracker.ietf.org/api/openid/.well-known/openid-configuration

RjS

On 5/18/21 9:45 PM, Tim Abbott wrote:
> I expect we can just make this work via OpenID Connect; the Zulip 
> mobile apps are designed to support the web authentication flow, so if 
> we can make it work on web, it'll work on mobile too (The terminal app 
> doesn't support this flow yet, but it will).  If someone can share 
> details/documentation on what exactly DataTracker implements and how 
> to get a sandbox that can be developed against, Mateusz can look at 
> what needs to happen to support it in Zulip.  It might be only a 
> couple days' work if we have a way to test; a typical new 
> authentication backend for something supported by python-social-auth 
> is 150 lines of code, of which maybe 30 implement it and the rest are 
> tests and documentation.
>
> (I imagine that it'd work like our Google auth integration, 
> prepopulating the name and email address when someone makes an account).
>
>         -Tim Abbott
>
>
> On Tue, May 18, 2021 at 3:33 PM Robert Sparks <[email-masked] 
> <mailto:[email-masked]>> wrote:
>
>
>>     Hi there.  I’m one of those who wants Zulip to succeed.  Like
>>     most, however, I’m not up on the technical details.
>>
>>     Tim and Tim (heck, not unambiguous, nor is TimA :) know the
>>     technical details. I’ve CC’d both of them, anyway.
>>
>>     issues and integrating with DataTracker. I’m just trying to tie
>>     all the threads together in the “official place” so that we can
>>     bring this to a close and get it working.
>>
>     Datatracker integration with Zulip might be easier to solve than
>     jabber or imap (we have some integration with the latter, but it's
>     more custom than we should keep in the long run). It should be
>     easy for the web client to use oidc. If the mobile client is using
>     https underneath, it would probably be easy for it to use oidc as
>     well. Are there other interfaces that need to be considered?
>
>     If oidc isn't an option architecturally, then I'd like to explore
>     what might be.
>
>     In any case, I'd like to determine if we san set the displayed
>     username and the email address displayed when you inspect someone
>     in the Users list using data from the datatracker?
>
>     RjS
>
>>     Tools-discuss mailing list [email-masked]  <mailto:[email-masked]>
>>     * Report datatracker and mailarchive bugs to:[email-masked]  <mailto:[email-masked]>
>>     * Reporttools.ietf.org  <http://tools.ietf.org>  bugs to:[email-masked]  <mailto:[email-masked]>
>>     * Report all other bugs or issues to:[email-masked]  <mailto:[email-masked]>
>>     List info (including how to Unsubscribe):https://www.ietf.org/mailman/listinfo/tools-discuss  <https://www.ietf.org/mailman/listinfo/tools-discuss>
>
>